<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gls__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gls_char_value_t</compoundname>
    <includes local="no">cy_ble_gls.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gls__char__value__t_1a20c4ba68550978dad31b791810c6ddd3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gls_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="109" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gls__char__value__t_1a7f3b1824b112bf78bf6f773376a23060" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___g_l_s__definitions_1gaa009e3c9f6226146dc7dd3b9b31410c3">cy_en_ble_gls_char_index_t</ref></type>
        <definition>cy_en_ble_gls_char_index_t cy_stc_ble_gls_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="110" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gls__char__value__t_1af16c04f43f0378bb396f124be9bb6c7f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_gls_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Glucose Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="763">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="762">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="761">
        <label>cy_stc_ble_gls_char_value_t</label>
        <link refid="structcy__stc__ble__gls__char__value__t" />
        <childnode refid="762" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="763" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="112" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gls.h" line="108" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gls__char__value__t_1a7f3b1824b112bf78bf6f773376a23060" virt="non-virtual"><scope>cy_stc_ble_gls_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__gls__char__value__t_1a20c4ba68550978dad31b791810c6ddd3" virt="non-virtual"><scope>cy_stc_ble_gls_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gls__char__value__t_1af16c04f43f0378bb396f124be9bb6c7f" virt="non-virtual"><scope>cy_stc_ble_gls_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>